import { cardComponent } from "@egg/lark-msg-tool"

const resultReport = {
  config: {
    update_multi: true,
  },
  elements: [
    {
      tag: "markdown",
      content: "${content}",
    },
    {
      tag: "hr",
    },
    {
      tag: "markdown",
      content: "${llmRes}",
    },
    {
      tag: "hr",
    },
    cardComponent.commonNote,
  ],
  header: cardComponent.successHeader,
}

const autoReport = {
  config: {
    update_multi: true,
  },
  elements: [
    {
      tag: "markdown",
      content: "${llmRes}",
    },
    {
      tag: "hr",
    },
    cardComponent.commonNote,
  ],
  header: {
    template: "turquoise",
    title: {
      content: "${xIcon} ${xName} ${timeScope}",
      tag: "plain_text",
    },
  },
}

const markdownSuccessCard = {
  config: {
    update_multi: true,
  },
  elements: [
    {
      tag: "markdown",
      content: "${content}",
    },
    {
      tag: "hr",
    },
    cardComponent.commonNote,
  ],
  header: cardComponent.successHeader,
}

const cardMap = {
  resultReport,
  autoReport,
  markdownSuccessCard,
}

export default cardMap
